## systemd 253.5

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1-or-later

option('version-tag', type : 'string',
       description : 'override the git version string')
option('shared-lib-tag', type : 'string',
       description : 'override the private shared library version tag (defaults to project version)')

option('mode', type : 'combo', choices : ['developer', 'release'],
       description : 'autoenable features suitable for systemd development/release builds')

option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''/bin, /sbin aren't symlinks into /usr''')
option('split-bin', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''sbin is not a symlink to bin''')
option('rootlibdir', type : 'string',
       description : '''[/usr]/lib/x86_64-linux-gnu or such''')
option('rootprefix', type : 'string',
       description : '''override the root prefix [default '/' if split-usr and '/usr' otherwise]''')
option('link-udev-shared', type : 'boolean',
       description : 'link systemd-udevd and its helpers to libsystemd-shared.so')
option('link-systemctl-shared', type: 'boolean',
       description : 'link systemctl against libsystemd-shared.so')
option('link-networkd-shared', type: 'boolean',
       description : 'link systemd-networkd and its helpers to libsystemd-shared.so')
option('link-timesyncd-shared', type: 'boolean',
       description : 'link systemd-timesyncd and its helpers to libsystemd-shared.so')
option('link-journalctl-shared', type: 'boolean',
       description : 'link journalctl against libsystemd-shared.so')
option('link-boot-shared', type: 'boolean',
       description : 'link bootctl and systemd-bless-boot against libsystemd-shared.so')
option('first-boot-full-preset', type: 'boolean', value: false,
       description : 'during first boot, do full preset-all (default will be changed to true later)')

option('static-libsystemd', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : '''install a static library for libsystemd''')
option('static-libudev', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : 'install a static library for libudev')
option('standalone-binaries', type : 'boolean', value : false,
       description : 'also build standalone versions of supported binaries')

option('sysvinit-path', type : 'string', value : '/etc/init.d',
       description : 'the directory where the SysV init scripts are located')
option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
       description : 'the base directory for SysV rcN.d directories')
option('telinit-path', type : 'string', value : '/lib/sysvinit/telinit',
       description : 'path to telinit')
option('rc-local', type : 'string',
       value : '/etc/rc.local')
option('initrd', type : 'boolean',
       description : 'install services for use when running systemd in initrd')
option('compat-mutable-uid-boundaries', type : 'boolean', value : false,
       description : 'look at uid boundaries in /etc/login.defs for compatibility')
option('nscd', type : 'boolean',
       description : 'build support for flushing of the nscd caches')

option('quotaon-path', type : 'string', description : 'path to quotaon')
option('quotacheck-path', type : 'string', description : 'path to quotacheck')
option('kmod-path', type : 'string', description : 'path to kmod')
option('kexec-path', type : 'string', description : 'path to kexec')
option('sulogin-path', type : 'string', description : 'path to sulogin')
option('mount-path', type : 'string', description : 'path to mount')
option('umount-path', type : 'string', description : 'path to umount')
option('loadkeys-path', type : 'string', description : 'path to loadkeys')
option('setfont-path', type : 'string', description : 'path to setfont')
option('nologin-path', type : 'string', description : 'path to nologin')

option('debug-shell', type : 'string', value : '/bin/sh',
       description : 'path to debug shell binary')
option('debug-tty', type : 'string', value : '/dev/tty9',
       description : 'specify the tty device for debug shell')
option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash'], value : [],
       description : 'enable extra debugging')
option('memory-accounting-default', type : 'boolean',
       description : 'enable MemoryAccounting= by default')
option('bump-proc-sys-fs-file-max', type : 'boolean',
       description : 'bump /proc/sys/fs/file-max to LONG_MAX')
option('bump-proc-sys-fs-nr-open', type : 'boolean',
       description : 'bump /proc/sys/fs/nr_open to INT_MAX')
option('valgrind', type : 'boolean', value : false,
       description : 'do extra operations to avoid valgrind warnings')
option('log-trace', type : 'boolean', value : false,
       description : 'enable low level debug logging')
option('user-path', type : 'string',
       description : '$PATH to use for user sessions')

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
option('hibernate', type : 'boolean',
       description : 'support for hibernation')
option('ldconfig', type : 'boolean',
       description : 'support for dynamic linker cache creation')
option('resolve', type : 'boolean',
       description : 'systemd-resolved stack')
option('efi', type : 'boolean',
       description : 'enable systemd-boot and bootctl')
option('tpm', type : 'boolean',
       description : 'TPM should be used to log events and extend the registers')
option('environment-d', type : 'boolean',
       description : 'support for environment.d')
option('binfmt', type : 'boolean',
       description : 'support for custom binary formats')
option('repart', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-repart tool')
option('sysupdate', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-sysupdate tool')
option('coredump', type : 'boolean',
       description : 'install the coredump handler')
option('pstore', type : 'boolean',
       description : 'install the pstore archival tool')
option('oomd', type : 'boolean',
       description : 'install the userspace oom killer')
option('logind', type : 'boolean',
       description : 'install the systemd-logind stack')
option('hostnamed', type : 'boolean',
       description : 'install the systemd-hostnamed stack')
option('localed', type : 'boolean',
       description : 'install the systemd-localed stack')
option('machined', type : 'boolean',
       description : 'install the systemd-machined stack')
option('portabled', type : 'boolean',
       description : 'install the systemd-portabled stack')
option('sysext', type : 'boolean',
       description : 'install the systemd-sysext stack')
option('userdb', type : 'boolean',
       description : 'install the systemd-userdbd stack')
option('homed', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-homed stack')
option('networkd', type : 'boolean',
       description : 'install the systemd-networkd stack')
option('timedated', type : 'boolean',
       description : 'install the systemd-timedated daemon')
option('timesyncd', type : 'boolean',
       description : 'install the systemd-timesyncd daemon')
option('remote', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'support for "journal over the network"')
option('create-log-dirs', type : 'boolean',
       description : 'create /var/log/journal{,/remote}')
option('nss-myhostname', type : 'boolean',
       description : 'install nss-myhostname module')
option('nss-mymachines', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install nss-mymachines module')
option('nss-resolve', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install nss-resolve module')
option('nss-systemd', type : 'boolean',
       description : 'install nss-systemd module')
option('firstboot', type : 'boolean',
       description : 'support for firstboot mechanism')
option('randomseed', type : 'boolean',
       description : 'support for restoring random seed')
option('backlight', type : 'boolean',
       description : 'support for restoring backlight state')
option('vconsole', type : 'boolean',
       description : 'support for vconsole configuration')
option('quotacheck', type : 'boolean',
       description : 'support for the quotacheck tools')
option('sysusers', type : 'boolean',
       description : 'support for the sysusers configuration')
option('tmpfiles', type : 'boolean',
       description : 'support for tmpfiles.d')
option('importd', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-importd daemon')
option('hwdb', type : 'boolean',
       description : 'support for the hardware database')
option('rfkill', type : 'boolean',
       description : 'support for the rfkill tools')
option('xdg-autostart', type : 'boolean',
       description : 'install the xdg-autostart-generator and unit')
option('man', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install man pages')
option('html', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install html pages')
option('translations', type : 'boolean', value : true,
       description : 'build and install translations')

option('certificate-root', type : 'string', value : '/etc/ssl',
       description : 'the prefix for TLS certificates')
option('dbuspolicydir', type : 'string',
       description : 'D-Bus policy directory')
option('dbussessionservicedir', type : 'string',
       description : 'D-Bus session service directory')
option('dbussystemservicedir', type : 'string',
       description : 'D-Bus system service directory')
option('dbus-interfaces-dir', type : 'string',
       description : 'export D-Bus introspection XML as standalone files')
option('default-timeout-sec', type : 'integer', value : 90,
       description : 'default timeout for system unit start/stop')
option('default-user-timeout-sec', type : 'integer', value : 90,
       description : 'default timeout for user unit start/stop')
option('pkgconfigdatadir', type : 'string', value : '',
       description : 'directory for arch-independent pkg-config files')
option('pkgconfiglibdir', type : 'string', value : '',
       description : 'directory for standard pkg-config files')
option('xinitrcdir', type : 'string', value : '',
       description : 'directory for xinitrc files')
option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',
       description : 'directory for rpm macros ["no" disables]')
option('update-helper-user-timeout-sec', type : 'integer', value : 15,
       description : 'timeout for user manager package operations')
option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('pamconfdir', type : 'string',
       description : 'directory for PAM configuration ["no" disables]')
option('libcryptsetup-plugins-dir', type : 'string',
       description : 'directory for libcryptsetup plugins')
option('docdir', type : 'string',
       description : 'documentation directory')
option('install-sysconfdir', type : 'combo', choices : ['true', 'no-samples', 'false'], value : 'true',
       description : 'install configuration files and directories to $sysconfdir')

option('fallback-hostname', type : 'string', value : 'localhost',
       description : 'the hostname used if none configured')
option('default-hierarchy', type : 'combo',
       choices : ['legacy', 'hybrid', 'unified'], value : 'unified',
       description : 'default cgroup hierarchy')
option('extra-net-naming-schemes', type : 'string',
       description : 'comma-separated list of extra net.naming-scheme= definitions')
option('default-net-naming-scheme', type : 'string', value : 'latest',

=== .github/workflows/requirements.txt ===
meson==1.0.0 \
    --hash=sha256:501b2d7bb7d47a44a221369eeb12b5e6aadbdc8b267ff57de32b25e9202a7d94 \
    --hash=sha256:aa50a4ba4557c25e7d48446abfde857957dcdf58385fffbe670ba0e8efacce05
ninja==1.11.1 \
    --hash=sha256:1c474326e11fba3f8c2582715d79216292e327d3335367c0e87e9647a002cc4a \
    --hash=sha256:3329b4b7c1694730772522a3ba0ba40fd15c012476ed3e1c9f0fd9e76190394e \
    --hash=sha256:34753459493543782d87267e4cad63dd4639b07f8394ffe6d4417e9eda05c8a8 \
    --hash=sha256:3b28b595ed580752240ade7821b6cb7a5a4c6a604c865dc474bd38f06e2eb7f5 \
    --hash=sha256:4e547bc759c570773d83d110c41fd5ca9a94c0a9a8388f5a3ea37bdf97d002b0 \
    --hash=sha256:60179bb4f22c88279c53a5402bb5fe81c97c627a28d93c737d1fa067d892115d \
    --hash=sha256:642cb64d859276998f14972724850e0c5b7febbc1bce3d2065b7e0cb7d3a0b79 \
    --hash=sha256:6f6465a7efe6473a2a34edab83633594de19d59406a727316e1367ebcc528908 \
    --hash=sha256:779f228e407c54a8b6e4cbf8f835489998dd250f67bf1b9bd7b8a8ab6bdcdc7b \
    --hash=sha256:817e2aee2a4d28a708a67bcfba1817ae502c32c6d8ef80e50d63b0f23adf3a08 \
    --hash=sha256:a7a564fe755ddfbdbccb07b0b758e3f8460e5f8ba1adaab40a5eaa2f8c01ce68 \
    --hash=sha256:ba50a32424912e5f3ee40d791b506a160dc0eeda7de5ad8faebe7aa8006244dc \
    --hash=sha256:c833a47d39b2d1eee3f9ca886fa1581efd5be6068b82734ac229961ee8748f90 \
    --hash=sha256:df11b8afea0501883e33faeb1c43d2ef67f466d5f4bd85f9c376e9a93a43a277 \
    --hash=sha256:edec1053e141253076b2df7ec03a246ff581e9270aa1ca9759397b21e2760e57 \
    --hash=sha256:f48c3c6eea204062f6bbf089dfc63e1ad41a08640e1da46ef2b30fa426f7ce23

=== debian/changelog ===
systemd (253.5-1ubuntu6.1) mantic; urgency=medium

  * Revert "debian/rules: set MulticastDNS=resolve by default" (LP: #2038894)
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=3d753238699f54e8c2892d8107136d49f09e44b6

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 26 Oct 2023 09:55:41 -0400

systemd (253.5-1ubuntu6) mantic; urgency=medium

  * debian/tests: Depends: tzdata-legacy for upstream-{1,2} (LP: #2035778)
    File: debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=28d9f59c6abb6e460dd34baa4237ef04aa06aced

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 19 Sep 2023 11:54:35 -0400

systemd (253.5-1ubuntu5) mantic; urgency=medium

  * Revert "core/service: when resetting PID also reset known flag" (LP: #2033325)
    Thanks to Sergio Durigan Junior
    File: debian/patches/lp2033325-Revert-core-service-when-resetting-PID-also-reset-known-f.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=021b6fafca7ae9bddaa479500614a4a4be40ce59
  * debian/rules: do not ship systemd-gpt-auto-generator.
    We do not want the functionality provided by this generator, so do not
    ship it.
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a366279a84730e92ed734710560ea833709f359d

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 07 Sep 2023 16:09:54 -0400

systemd (253.5-1ubuntu4) mantic; urgency=medium

  * Revert "Drop Provides: time-daemon for bin:systemd-timesyncd"
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e88d9f0241a307a3c1b4bcaf4bf29799d984aa3c

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 25 Aug 2023 16:36:26 -0400

systemd (253.5-1ubuntu3) mantic; urgency=medium

  [ Nick Rosbrook ]
  * debian/rules: build with -ffat-lto-objects (LP: #2031416)
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c78b7a6a2578d2b3f70638db918858f9b78107a4

  [ Utkarsh Gupta ]
  * Drop Provides: time-daemon for bin:systemd-timesyncd
    Author: Utkarsh Gupta
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9b78ef26d64a40c21cac1e48534c6bf33661e6d7

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 25 Aug 2023 15:31:17 -0400

systemd (253.5-1ubuntu2) mantic; urgency=medium

  * core: reorder systemd arguments on reexec (LP: #2013543)
    File: debian/patches/lp2013543-core-reorder-systemd-arguments-on-reexec.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c93e797cdd4f3678cdcc7449f8a6f6820e98b7f0
  * network/dhcp4: do not ignore the gateway even if the destination is in same network (LP: #2009743)
    Files:
    - debian/patches/lp2009743/network-dhcp4-do-not-ignore-the-gateway-even-if-the-desti.patch
    - debian/patches/lp2009743/test-network-add-one-more-testcase-for-DHCPv4-classless-r.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c09bc22fca4259301c88195f34ae3b24956afb22
  * debian/systemd.postint: do not daemon re-exec if we could hit LP: #2013543
    File: debian/systemd.postinst
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=19447af92c6d30e331ff97420e7ddcf3e5d723e1
  * meson.build: disable -Wformat-overflow on gcc with -O3
    File: debian/patches/meson.build-disable-Wformat-overflow-on-gcc-with-O3.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8c8595bf0f12e56d4b3a063c93a3ba69c798add2
  * debian: ship libsystemd.a in libsystemd-dev (LP: #2012437)
    Thanks to Serge Hallyn
    Files:
    - debian/libsystemd-dev.install
    - debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5997dd2a25a7c65d7c8a826346c0120532a0e083
  * autopkgtest: add build test for static libsystemd
    Files:
    - debian/tests/build-with-static-libsystemd
    - debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9d90da82d6b4adcf59b9a6b6188af3a49381fea8

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 14 Aug 2023 11:28:09 -0400

systemd (253.5-1ubuntu1) mantic; urgency=medium

  * Merge 253.5-1 from Debian unstable. Remaining changes:
    - debian/tests/upstream{,-1,-2}: split upstream tests into two parts
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/storage: skip tests if scsi_debug module is not available
    - debian/tests/boot-and-services:
      + skip test_syslog on s390x
      + skip coredump tests on s390x
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
    - debian/systemd.postinst: skip daemon-reexec and try-restarts during shutdown
    - debian/systemd.postinst,debian/rules:
      Disable dh_installinit generation of tmpfiles for systemd package, and
      manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Set default user path
      + Disable LLMNR by default
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf:
      Set ManagedOOMSwap=auto, disabling swap kill by default
    - debian/extra/start-udev: Set scsi_mod scan=sync even if it's builtin
      to the kernel (we previously only set it in modprobe.d)
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package


=== debian/control ===
Source: systemd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Marco d'Itri <md@linux.it>,
           Sjoerd Simons <sjoerd@debian.org>,
           Martin Pitt <mpitt@debian.org>,
           Felipe Sateler <fsateler@debian.org>,
           Luca Boccassi <bluca@debian.org>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
Vcs-Browser:  https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
Homepage: https://www.freedesktop.org/wiki/Software/systemd
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-package-notes,
               dh-sequence-installnss,
               dh-sequence-installsysusers,
               pkg-config,
               xsltproc <!nodoc>,
               docbook-xsl <!nodoc>,
               docbook-xml <!nodoc>,
               meson (>= 0.53.2),
               gettext,
               gperf,
               gnu-efi [amd64 i386 arm64 armhf riscv64],
               libcap-dev,
               libcrypt-dev,
               libpam0g-dev,
               libapparmor-dev (>= 2.13) <!stage1>,
               libidn2-dev <!stage1>,
               libiptc-dev <!stage1>,
               libaudit-dev <!stage1>,
               libdbus-1-dev (>= 1.3.2) <!nocheck> <!noinsttest>,
               libcryptsetup-dev (>= 2:2.4) <!stage1>,
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               liblzma-dev,
               liblz4-dev (>= 1.3.0),
               liblz4-tool <!nocheck>,
               libbz2-dev <!stage1>,
               zlib1g-dev <!stage1> | libz-dev <!stage1>,
               libcurl4-openssl-dev <!stage1>,
               libmicrohttpd-dev <!stage1>,
               libpcre2-dev <!stage1>,
               libgcrypt20-dev,
               libkmod-dev (>= 15),
               libblkid-dev (>= 2.24),
               libmount-dev (>= 2.30),
               libfdisk-dev (>= 2.33),
               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el riscv64 s390x],
               libdw-dev (>= 0.158) <!stage1>,
               libpolkit-gobject-1-dev <!stage1>,
               libzstd-dev (>= 1.4.0),
               libtss2-dev [!i386] <!stage1>,
               libfido2-dev <!stage1>,
               libp11-kit-dev <!stage1>,
               libssl-dev <!stage1>,
               libqrencode-dev [!i386] <!stage1>,
               libxen-dev [amd64 arm64 armhf] <!stage1>,
               linux-base <!nocheck>,
               acl <!nocheck>,
               python3:native,
               python3-jinja2:native,
               python3-lxml:native,
               python3-pyparsing <!nocheck>,
               python3-evdev:native <!nocheck>,
               tzdata <!nocheck>,
               libcap2-bin <!nocheck>,
               iproute2 <!nocheck>,
               zstd <!nocheck>,
               gawk <!nocheck>,
               fdisk <!nocheck>,

Package: systemd
Architecture: linux-any
Multi-Arch: foreign
Priority: important
Recommends: default-dbus-system-bus | dbus-system-bus,
            networkd-dispatcher,
            systemd-timesyncd | time-daemon,
            systemd-resolved,
Suggests: systemd-container,
          systemd-homed,
          systemd-userdbd,
          systemd-boot,
          libfido2-1,
          libp11-kit0,
          libqrencode4,
          libtss2-esys-3.0.2-0,
          libtss2-mu0,
          libtss2-rc0,
          polkitd | policykit-1,
Pre-Depends: ${shlibs:Pre-Depends},
             ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version}),
         systemd-dev (>= ${source:Version}),
         mount,
Replaces: systemd-repart (<< 250.2-3~)
Conflicts: consolekit,
           libpam-ck-connector,
           systemd-shim,
Breaks: resolvconf (<< 1.83~),
        udev (<< 247~),
        less (<< 563),
        sicherboot (<< 0.1.6),
        systemd-repart (<< 250.2-3~),
Provides: systemd-sysusers (= ${binary:Version}),
          systemd-tmpfiles (= ${binary:Version}),
          systemd-repart (= ${binary:Version}),
Description: system and service manager
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes using
 Linux control groups, maintains mount and automount points and implements an
 elaborate transactional dependency-based service control logic.
 .
 Installing the systemd package will not switch your init system unless you
 boot with init=/lib/systemd/systemd or install systemd-sysv in addition.

Package: systemd-sysv
Architecture: linux-any
Multi-Arch: foreign
Priority: important
Conflicts: sysvinit-core,
           file-rc,
           systemd-shim,
Replaces: sysvinit-core,
Pre-Depends: systemd
Depends: systemd (= ${binary:Version}),
         ${misc:Depends}
Recommends: libpam-systemd,
            libnss-systemd
Description: system and service manager - SysV compatibility symlinks
 This package provides manual pages and compatibility symlinks needed for
 systemd to replace sysvinit.
 .
 Installing systemd-sysv will overwrite /sbin/init with a symlink to systemd.

Package: systemd-container
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
         default-dbus-system-bus | dbus-system-bus
Recommends: libnss-mymachines,
Description: systemd container/nspawn tools
 This package provides systemd's tools for nspawn and container/VM management:
  * systemd-nspawn
  * systemd-machined and machinectl
  * systemd-importd
  * systemd-portabled and portablectl

Package: systemd-journal-remote
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
Description: tools for sending and receiving remote journal logs
 This package provides tools for sending and receiving remote journal logs:
  * systemd-journal-remote
  * systemd-journal-upload
  * systemd-journal-gatewayd

Package: systemd-coredump
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd
Recommends: libdw1
Conflicts: core-dump-handler
Replaces: core-dump-handler
Provides: core-dump-handler
Description: tools for storing and retrieving coredumps
 This package provides systemd tools for storing and retrieving coredumps:
  * systemd-coredump
  * coredumpctl

Package: systemd-timesyncd
Architecture: linux-any
Multi-Arch: foreign
Priority: standard
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd
Breaks: systemd (<< 245.4-2~),
Conflicts: time-daemon
Replaces: time-daemon,
          systemd (<< 245.4-2~),
Provides: time-daemon
Description: minimalistic service to synchronize local time with NTP servers
 The package contains the systemd-timesyncd system service that may be used to
 synchronize the local system clock with a remote Network Time Protocol server.

Package: systemd-tests
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         python3,
Build-Profiles: <!noinsttest>
Description: tests for systemd
 This package contains the test binaries. Those binaries are primarily used
 for autopkgtest and not meant to be installed on regular user systems.

Package: libpam-systemd
Architecture: linux-any
Multi-Arch: same
Priority: standard
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         libpam-runtime,
         default-dbus-system-bus | dbus-system-bus,
         systemd-sysv
Recommends: dbus-user-session,
Provides: logind (= ${binary:Version}), default-logind (= ${binary:Version})
Description: system and service manager - PAM module
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy for logind.
 .
 If in doubt, do install this package.
 .
 Packages that depend on logind functionality need to depend on libpam-systemd.

Package: libnss-myhostname
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: nss module providing fallback resolution for the current hostname
 This package contains a plugin for the Name Service Switch, providing host
 name resolution for the locally configured system hostname as returned by
 gethostname(2). It returns all locally configured public IP addresses or -- if
 none are configured, the IPv4 address 127.0.1.1 (which is on the local
 loopback) and the IPv6 address ::1 (which is the local host).
 .
 A lot of software relies on that the local host name is resolvable. This
 package provides an alternative to the fragile and error-prone manual editing
 of /etc/hosts.
 .
 Installing this package automatically adds myhostname to /etc/nsswitch.conf.

Package: libnss-mymachines
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd-container (= ${binary:Version}),
Description: nss module to resolve hostnames for local container instances
 nss-mymachines is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing hostname resolution for local containers
 that are registered with systemd-machined.service(8). The container names are
 resolved to IP addresses of the specific container, ordered by their scope.
 .
 Installing this package automatically adds mymachines to /etc/nsswitch.conf.

Package: libnss-resolve
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd-resolved (= ${binary:Version}),
Description: nss module to resolve names via systemd-resolved
 nss-resolve is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing DNS and LLMNR resolution to programs via
 the systemd-resolved daemon (provided in the systemd-resolved package).
 .
 Installing this package automatically adds resolve to /etc/nsswitch.conf.

Package: libnss-systemd
Architecture: linux-any
Multi-Arch: same
Priority: standard
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
Description: nss module providing dynamic user and group name resolution
 nss-systemd is a plug-in module for the GNU Name Service Switch (NSS)
 functionality of the GNU C Library (glibc), providing UNIX user and group name
 resolution for dynamic users and groups allocated through the DynamicUser=
 option in systemd unit files. See systemd.exec(5) for details on this
 option.
 .
 Installing this package automatically adds the module to /etc/nsswitch.conf.

Package: libsystemd0
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: systemd utility library
 This library provides APIs to interface with various system components such as
 the system journal, the system service manager, D-Bus and more.

Package: libsystemd-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libsystemd0 (= ${binary:Version})
Description: systemd utility library - development files
 This library provides APIs to interface with various system components such as
 the system journal, the system service manager, D-Bus and more.
 .
 This package contains the files needed for developing applications that
 use libsystemd.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
#export DEB_BUILD_OPTIONS = nostrip

export LC_ALL = C.UTF-8
export DEB_CFLAGS_MAINT_APPEND = -ffat-lto-objects

include /usr/share/dpkg/default.mk
include /usr/share/debhelper/dh_package_notes/package-notes.mk

ifeq ($(DEB_VENDOR),Ubuntu)
    DEFAULT_NTP_SERVERS = ntp.ubuntu.com
    SUPPORT_URL = http://www.ubuntu.com/support
    CONFFLAGS_DISTRO =
else
    DEFAULT_NTP_SERVERS = 0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org
    SUPPORT_URL = https://www.debian.org/support
    CONFFLAGS_DISTRO =
endif

TEST_TIMEOUT_MULTIPLIER = "-t 10"

# fail on missing files and symbols changes on distro builds, but not if we
# build/test upstream master
ifeq ($(TEST_UPSTREAM),)
    DH_MISSING = --fail-missing
    GENSYMBOLS_LEVEL = 4
else
    DH_MISSING = --list-missing
    GENSYMBOLS_LEVEL = 1
endif

CONFFLAGS = \
	-Db_lto=true \
	-Db_pie=true \
	-Dstatic-libsystemd=true \
	-Dmode=release \
	-Drootlibdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-Dsplit-usr=true \
	-Duser-path=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin \
	-Dversion-tag="$(DEB_VERSION)" \
	-Dquotaon-path=/sbin/quotaon \
	-Dquotacheck-path=/sbin/quotacheck \
	-Dkmod-path=/bin/kmod \
	-Dkexec-path=/sbin/kexec \
	-Dsulogin-path=/sbin/sulogin \
	-Dmount-path=/bin/mount \
	-Dumount-path=/bin/umount \
	-Dloadkeys-path=/bin/loadkeys \
	-Dsetfont-path=/bin/setfont \
	-Dnologin-path=/usr/sbin/nologin \
	-Dtelinit-path=/lib/sysvinit/telinit \
	-Dsysvinit-path=/etc/init.d \
	-Dsysvrcnd-path=/etc \
	-Dlocalegen-path=/usr/sbin/locale-gen \
	-Ddebug-shell=/bin/bash \
	-Dzshcompletiondir=/usr/share/zsh/vendor-completions \
	-Ddbuspolicydir=/usr/share/dbus-1/system.d/ \
	-Dsupport-url=$(SUPPORT_URL) \
	-Ddefault-kill-user-processes=false \
	-Ddefault-hierarchy=unified \
	-Ddefault-dnssec=no \
	-Ddefault-llmnr=no \
	-Ddefault-mdns=no \
	-Dpamconfdir=no \
	-Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security \
	-Drpmmacrosdir=no \
	-Dvconsole=false \
	-Dfirstboot=true \
	-Dsysupdate=false \
	-Dxkbcommon=false \
	-Dwheel-group=false \
	-Dpwquality=false \
	-Doomd=true \
	-Durlify=true \
	-Dgnutls=false \
	-Dlink-udev-shared=false \
	-Dlink-systemctl-shared=false \
	-Dbump-proc-sys-fs-nr-open=false \
	-Dntp-servers="$(DEFAULT_NTP_SERVERS)" \
	-Ddns-servers='' \
	-Dsystem-uid-max=999 \
	-Dsystem-gid-max=999 \
	-Dnobody-user=nobody \
	-Dnobody-group=nogroup \
	-Ddev-kvm-mode=0660 \
	-Dgroup-render-mode=0660 \
	-Drepart=true \
	-Dfdisk=true \
	-Dsysext=true \
	-Dnscd=true \
	-Dselinux=true \
	-Dhwdb=true \
	-Dsysusers=true \
	-Dinstall-tests=$(if $(filter noinsttest,$(DEB_BUILD_PROFILES)),false,true) \
	-Defi=true \
	-Dman=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),false,true) \
	-Dtranslations=true \
	-Dnss-myhostname=true \
	-Dnss-mymachines=true \
	-Dnss-resolve=true \
	-Dnss-systemd=true \
	-Dresolve=true \
	-Dstatus-unit-format-default=combined \
	-Dukify=false \
	-Dstandalone-binaries=true

ifeq (, $(filter stage1, $(DEB_BUILD_PROFILES)))
CONFFLAGS += \
	-Daudit=true \
	-Dlibcryptsetup=true \
	-Dlibcryptsetup-plugins=true \
	-Dcoredump=true \
	-Delfutils=true \
	-Dapparmor=true \
	-Dlibidn2=true \
	-Dlibiptc=true \
	-Dlibcurl=true \
	-Dimportd=true \
	-Dmicrohttpd=true \
	-Dopenssl=true \
	-Dcryptolib=openssl \
	-Ddns-over-tls=openssl \
	-Dlibfido2=true \
	-Dtpm2=$(if $(filter i386,$(DEB_HOST_ARCH)),false,true) \
	-Dp11kit=true \
	-Dqrencode=$(if $(filter i386,$(DEB_HOST_ARCH)),false,true) \
	-Dhomed=true \
	-Duserdb=true \
	-Dpcre2=true
else
CONFFLAGS += \
	-Daudit=false \
	-Dlibcryptsetup=false \
	-Dlibcryptsetup-plugins=false \
	-Dcoredump=false \
	-Delfutils=false \
	-Dapparmor=false \
	-Dlibidn2=false \
	-Dlibiptc=false \
	-Dlibcurl=false \
	-Dimportd=false \
	-Dmicrohttpd=false \
	-Dopenssl=false \
	-Dlibfido2=false \
	-Dtpm2=false \
	-Dp11kit=false \
	-Dqrencode=false \
	-Dhomed=false \
	-Duserdb=false \
	-Dpcre2=false
endif

override_dh_auto_configure:
	dh_auto_configure \
		-- $(CONFFLAGS) $(CONFFLAGS_DISTRO) $(CONFFLAGS_UPSTREAM)

execute_before_dh_auto_build:
	# blhc false positives: C++ fuzz test program, cc -E flags listing, PE-COFF EFI binaries
	@echo 'blhc: ignore-line-regexp: .* -o test-bus-vtable-cc.*'
	@echo 'blhc: ignore-line-regexp: .*cc -E.*'
	@echo 'blhc: ignore-line-regexp: .* -o src/boot/efi.*'

execute_after_dh_auto_build:
	# generate POT file for translators
	ninja -C obj-$(DEB_HOST_GNU_TYPE) systemd-pot

execute_after_dh_auto_install:
	# fix paths in manpages; manually check the remaining /usr occurrences
	# occasionally, with filtering out paths which are known to be in /usr:
	# grep -r /usr debian/tmp/usr/share/man/|egrep -v '/usr/local|os.*release|factory|zoneinfo|tmpfiles|kernel|foo|machines|sysctl|dbus|include|binfmt'
	if test -d debian/tmp/usr/share/man; then \
		find debian/tmp/usr/share/man/ -type f | xargs sed -ri 's_/usr(/lib/systemd/system|/lib/systemd/network|/lib/udev|/lib[^/]|/lib/[^a-z])_\1_g'; \
	fi

execute_before_dh_auto_clean:
ifneq (, $(TEST_UPSTREAM))
	debian/extra/checkout-upstream
endif

execute_after_dh_auto_clean:
	rm -f debian/shlibs.local
	# remove Python byte code files
	rm -rf tools/__pycache__/
	rm -rf tools/chromiumos/__pycache__/
	rm -f po/systemd.pot

execute_before_dh_install:
	# remove unnecessary / unused files
	rm -rf debian/tmp/usr/share/doc/systemd/LICENSES/
	rm -f debian/tmp/usr/share/doc/systemd/LICENSE.*
	rm -f debian/tmp/etc/init.d/README
	rm -f debian/tmp/lib/*.d/README
	rm -f debian/tmp/lib/udev/*.d/README
	rm -f debian/tmp/usr/lib/*.d/README
	rm -f debian/tmp/usr/lib/sysctl.d/50-default.conf
	rm -f debian/tmp/etc/X11/xinit/xinitrc.d/50-systemd-user.sh
	rmdir -p --ignore-fail-on-non-empty debian/tmp/etc/X11/xinit/xinitrc.d/
	# those files should probably be shipped in a -dev package, remove for now
	rm -rf debian/tmp/usr/share/dbus-1/interfaces/
	# remove files related to factory-reset feature
	find debian/tmp/ \( -name 'systemd-update-done*' -o \
		-name systemd-journal-catalog-update.service -o \
		-name systemd-hwdb-update.service -o \
		-name ldconfig.service -o \
		-name etc.conf \) -print -delete
	rm -rf debian/tmp/usr/share/factory/
	# replace upstream sysusers.d/basic.conf with proper users for Debian
	debian/extra/make-sysusers-basic > debian/tmp/usr/lib/sysusers.d/basic.conf
	# remove obsolete compat symlink
	rm -f debian/tmp/usr/bin/systemd-resolve
	# Do not ship systemd-gpt-auto-genrator on Ubuntu
	rm -f debian/tmp/lib/systemd/system-generators/systemd-gpt-auto-generator
	rm -f debian/tmp/usr/share/man/man8/systemd-gpt-auto-generator.8

execute_after_dh_install-arch:
	# install standalone binaries
	for pkg in sysusers tmpfiles; do \
		mkdir -p debian/systemd-standalone-$$pkg/bin; \
		mv debian/systemd/bin/systemd-$$pkg.standalone debian/systemd-standalone-$$pkg/bin/systemd-$$pkg; \
	done
	# We don't want repart and shutdown standalone binaries for now
	rm -f debian/systemd/bin/systemd-repart.standalone
	rm -f debian/systemd/lib/systemd/systemd-shutdown.standalone

	# we don't want /tmp to be a tmpfs by default
	mv debian/systemd/lib/systemd/system/tmp.mount debian/systemd/usr/share/systemd/
	printf '\n[Install]\nWantedBy=local-fs.target\n' >> debian/systemd/usr/share/systemd/tmp.mount
	rm debian/systemd/lib/systemd/system/local-fs.target.wants/tmp.mount

	# files shipped by cryptsetup
ifeq (, $(filter stage1, $(DEB_BUILD_PROFILES)))
	rm -f debian/tmp/usr/share/man/man5/crypttab.5
endif

	# files shipped by systemd
	rm debian/udev/lib/udev/rules.d/70-uaccess.rules
	rm debian/udev/lib/udev/rules.d/73-seat-late.rules
	rm debian/udev/lib/udev/rules.d/71-seat.rules
	rm debian/udev/lib/udev/rules.d/99-systemd.rules

	# Ubuntu specific files
ifeq ($(DEB_VENDOR),Ubuntu)
	install -D --mode=644 debian/extra/udev.py debian/udev/usr/share/apport/package-hooks/udev.py
	install -D --mode=644 debian/extra/systemd.py debian/systemd/usr/share/apport/package-hooks/systemd.py
	install --mode=644 debian/extra/rules-ubuntu/*.rules debian/udev/lib/udev/rules.d/

=== debian/tests/control ===
Tests: timedated, hostnamed, localed-locale, localed-x11-keymap, logind
Depends: systemd,
  systemd-timesyncd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
Restrictions: needs-root, isolation-container, skippable

Tests: unit-config
Depends: systemd,
  udev,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
Restrictions: needs-root, allow-stderr

Tests: storage
Depends: systemd,
  udev,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
Restrictions: needs-root, isolation-machine

Tests: networkd-test.py
Tests-Directory: test
Depends: systemd,
  udev,
  systemd-resolved,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
  systemd-sysv,
  polkitd | policykit-1,
  netlabel-tools,
  dnsmasq-base
Restrictions: needs-root, isolation-container, breaks-testbed

Tests: build-login
Depends: systemd,
  udev,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
  systemd-sysv,
  polkitd | policykit-1,
  dnsmasq-base,
  build-essential,
  libsystemd-dev,
Restrictions: isolation-container

Tests: boot-and-services
Depends: systemd-sysv,
  systemd,
  udev,
  systemd-container,
  systemd-coredump,
  libpam-systemd,
  xserver-xorg-video-dummy,
  xserver-xorg,
  gdm3 [amd64],
  cron,
  network-manager,
  busybox-static,
  rsyslog,
  apparmor,
  pkg-config,
  python3
Restrictions: needs-root, isolation-container, breaks-testbed, allow-stderr

Tests: udev
Depends: systemd-tests,
  udev,
  python3,
  tree,
  perl,
  xz-utils,
Restrictions: needs-root, allow-stderr, isolation-machine, skippable

Tests: unit-tests
Depends: systemd-tests,
  libpam-systemd,
  libnss-myhostname,
  libnss-mymachines,
  libnss-resolve,
  libnss-systemd,
  udev,
  tree,
  perl,
  python3,
  python3-colorama,
  xz-utils,
  libcap2-bin,
  iproute2,
  liblz4-tool,
  acl,
  iputils-ping,
  dbus-user-session,
  zstd,
  libtss2-dev [!i386],
  libfido2-dev,
  libdw-dev,
  libqrencode-dev [!i386],
Restrictions: needs-root, isolation-container, breaks-testbed

Tests: tests-in-lxd
Depends: systemd-tests,
  udev,
  libpam-systemd,
  autopkgtest,
  lsb-release,
  snapd,
Restrictions: needs-root, allow-stderr, isolation-machine, breaks-testbed, skip-not-installable, skippable

Tests: upstream-1, upstream-2
Depends: systemd-tests,
  systemd-journal-remote,
  systemd-container,
  systemd-coredump,
  systemd-timesyncd,
  systemd-oomd,
  systemd-homed,
  systemd-resolved,
  libnss-myhostname,
  libnss-mymachines,
  libnss-resolve,
  libnss-systemd,
  attr,
  tree,
  perl,
  xz-utils,
  libcap2-bin,
  iproute2,
  liblz4-tool,
  acl,
  dmeventd,
  kbd,
  cryptsetup-bin,
  cryptsetup-initramfs,
  net-tools,
  isc-dhcp-client,
  iputils-ping,
  strace,
  qemu-system-x86 [amd64 i386],
  qemu-system-arm [arm64 armhf],
  qemu-system-ppc [ppc64el],
